Bug 109774 - Java debug session fails in native eclipse
Summary: Java debug session fails in native eclipse
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Developer Suite
Classification: Retired
Component: eclipse (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Handcock
QA Contact: eclipse-bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-11 18:13 UTC by Jeremy Handcock
Modified: 2007-04-18 16:59 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-11 18:14:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:036 normal SHIPPED_LIVE Updated eclipse package contains various bug fixes/enhancements 2004-01-20 05:00:00 UTC

Description Jeremy Handcock 2003-11-11 18:13:07 UTC
Description of problem:
This bug report is for tracking purposes only.  The fix is checked in
and will appear in RHEL3 U1.

When you define a JRE in the preferences and then attempt to debug a
java application using this JRE in a native eclipse, the debug session
fails with an error dialog: "Could't find a free socket to use for the
debugger".  This is a result of the bogus socket code that I patched
earlier to fix #102611.  I have duplicated the fix here and searched
through the eclipse sources to ensure this bogus code isn't duplicated
elsewhere.

Version-Release number of selected component (if applicable):
eclipse-2.1.0-22

How reproducible:
Always

Steps to Reproduce:
1. Define a JRE in the Preferences
2. Attempt to debug a java application

Comment 1 John Healy 2004-03-08 21:21:40 UTC
Moving from RHEL/3/Eclipse to Red Hat Developer Suite product.


Note You need to log in before you can comment on or make changes to this bug.